---
title: "Search for subscription training keys"
slug: "search-for-subscription-training-keys"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
canonical: "docs.skillable.com/search-for-subscription-training-keys"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for subscription training keys

Get/SearchSubscriptionTrainingKeys

Allows you to search for an organization's subscription training keys.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parameterspageIndexinteger (int32) 

A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results).

pageSizeinteger (int32) 

Indicates how many results you want per page. If not supplied, a default value of 20 is used (20 records per page).

sortstring

The value you want to sort by. If not supplied, a default value of "TrainingKey" is used. Possible values:

- TrainingKey
- ContentExpiry
- SubscriptionProfileName
- Created
- CreatedById
- LastModified
- LastModifiedById
- ExpirationDate

organizationIdinteger (int32) 

Filter subscription training keys by the associated organization id. When specified, only the subscription training keys associated with this organization will be returned.

trainingKeystring

Filter for a specific subscription training key. When specified, only the subscription training key that matches this value will be returned.

createdByIdinteger (int64) 

Filter subscription training keys by the associated user id. When specified, only the subscription training keys that have been created by this user id value will be returned.

createdBeforeinteger (int64) 

Filter subscription training keys created before a specified date. When used in conjunction with the "createdAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

createdAfterinteger (int64) 

Filter subscription training keys created after a specified date. When used in conjunction with the "createdBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

expiresBeforeinteger (int64) 

Filter subscription training keys expiring before a specified date. When used in conjunction with the "expiresAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

expiresAfterinteger (int64) 

Filter subscription training keys expiring after a specified date. When used in conjunction with the "expiresBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

lastModifiedBeforeinteger (int64) 

Filter subscription training keys last modified before a specified date. When used in conjunction with the "lastModifiedAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

lastModifiedAfterinteger (int64) 

Filter subscription training keys last modified after a specified date. When used in conjunction with the "lastModifiedBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

lastModifiedByIdinteger (int32) 

Filter subscription training keys by the user id that last modified the record. When specified, only the subscription training keys last modified by this user will be returned.

subscriptionProfileIdstring

Filter subscription training keys by subscription profile id. When specified, only subscription training keys that are associated with this value will be returned.

contentExpiryBeforeinteger (int64) 

Filter subscription training keys when the content is expiring before a specified date. When used in conjunction with the "contentExpiryAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

contentExpiryAfterinteger (int64) 

Filter subscription training keys when the content is expiring after a specified date. When used in conjunction with the "contentExpiryBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970.

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='fd8b9f49-c02c-4daf-817d-9c58c4602d98'>application/json</option>
</select>Expand Allobject  Statusinteger  (int32)    

Indicates the status of the API request.

0 = Success 10 = Error 20 = Not found 30 = Invalid integration key

Example10
Errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).

SearchSubscriptionsResults Array of object (SearchSubscriptionTrainingKeyResult)   

See SearchSubscriptionsResult.

object  Idinteger  (int32)    

The Id of the Subscription Training Key.

Example678
OrganizationIdinteger  (int32)    

The Id of the Organization associated with this Subscription Training Key.

Example121
OrganizationNamestring    

The name of the Organization associated with the subscription Training Key.

Example.Net Club
SubscriptionProfileIdinteger  (int32)    

The subscription profile's unique identifier.

Example523
SubscriptionProfileNamestring    

The subscription profile's name.

Example.Net Club
TrainingKeystring   | null  

The subscription training key value

ExampleE3G5YZFREFEQ9371
MaxKeyUsesinteger  (int32)   | null  

The maximum number of times the subscription training key can be used.

Example25
ExpirationDatestring   | null  

When the subscription training key ends or expires (in Unix epoch time).

Example2022-03-19T22:15:59.997Z
ContentExpirystring   | null  

When the subscription training key content ends or expires (in Unix epoch time).

Example2022-03-19T22:15:59.997Z
Createdstring   | null  

When the subscription training key was created (in Unix epoch time).

Example2021-03-19T22:16:07.967Z
LastModifiedstring   | null  

When the subscription was last modified (in Unix epoch time).

Example2021-04-19T11:23:02.567Z
CreatedByIdinteger  (int32)    

The user id that created the subscription training key

Example121
LastModifiedByIdinteger  (int32)    

The user id that last modified the subscription training key

Example682
